> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List templates

> Lists all templates for the authenticated user



## OpenAPI

````yaml /api-reference/oda-widget-service-1.0.0.yml get /templates
openapi: 3.0.1
info:
  title: ODA Widget Service
  description: ODA Widget Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /templates:
    get:
      summary: List templates
      description: Lists all templates for the authenticated user
      operationId: listTemplates
      parameters:
        - name: widget
          in: query
          required: true
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Templates retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemplateDto'
        '401':
          description: Unauthorized
components:
  schemas:
    TemplateDto:
      required:
        - id
        - properties
        - recipientId
        - showcase
      type: object
      properties:
        id:
          type: string
        showcase:
          type: string
        properties:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        recipientId:
          type: string

````